wibble::list::Filtered< List, Predicate > Struct Template Reference

`#include <list.h>`

## Public Types

typedef List::Type | Type

## Public Member Functions

bool | empty () const
Type | head () const
void | seek () const
Filtered | tail () const
| Filtered (List l, Predicate p)
| Filtered ()

## Public Attributes

List | m_list
Predicate | m_pred

## Member Typedef Documentation

## Type

template<typename List, typename Predicate>

typedef List::Type wibble::list::Filtered< List, Predicate >::Type

## Constructor & Destructor Documentation

## Filtered() [1/2]

template<typename List, typename Predicate>

wibble::list::Filtered< List, Predicate >::Filtered | ( | List | l,
|  | Predicate | p
| ) |  |

inline

## Filtered() [2/2]

template<typename List, typename Predicate>

wibble::list::Filtered< List, Predicate >::Filtered | ( |  | ) |

inline

## Member Function Documentation

## empty()

template<typename List, typename Predicate>

bool wibble::list::Filtered< List, Predicate >::empty | ( |  | ) | const

inline

## head()

template<typename List, typename Predicate>

Type wibble::list::Filtered< List, Predicate >::head | ( |  | ) | const

inline

## seek()

template<typename List, typename Predicate>

void wibble::list::Filtered< List, Predicate >::seek | ( |  | ) | const

inline

Referenced by wibble::list::Filtered< List, Predicate >::tail().

## tail()

template<typename List, typename Predicate>

Filtered wibble::list::Filtered< List, Predicate >::tail | ( |  | ) | const

inline

References wibble::list::Filtered< List, Predicate >::m_list, and wibble::list::Filtered< List, Predicate >::seek().

## Member Data Documentation

## m_list

template<typename List, typename Predicate>

List wibble::list::Filtered< List, Predicate >::m_list

mutable

Referenced by wibble::list::Filtered< List, Predicate >::tail().

## m_pred

template<typename List, typename Predicate>

Predicate wibble::list::Filtered< List, Predicate >::m_pred

The documentation for this struct was generated from the following file:

- list.h